﻿using Connected.Data;

namespace Connected.Security.Membership;

/// <summary>
/// Represents a user's membership.
/// </summary>
/// <remarks>
/// <see cref="Identity.IUser"/> can belong to one or more <see cref="Identity.IRole"/>. This relations is defined via <see cref="IMembership"/>.
/// </remarks>
public interface IMembership : IPrimaryKey<int>
{
	/// <summary>
	/// The id of the <see cref="Identity.IUser"/>.
	/// </summary>
	int User { get; }
	/// <summary>
	/// The id of the <see cref="Identity.IRole"/>.
	/// </summary>
	int Role { get; }
}
